Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.deciderules
Class OnHostsDecideRule

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType
                      org.archive.crawler.deciderules.DecideRule
                          org.archive.crawler.deciderules.ConfiguredDecideRule
                              org.archive.crawler.deciderules.PredicatedDecideRule
                                  org.archive.crawler.deciderules.SurtPrefixedDecideRule
                                      org.archive.crawler.deciderules.OnHostsDecideRule

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean, SeedListener

Direct Known Subclasses:
  NotOnHostsDecideRule

    public class OnHostsDecideRule

extends SurtPrefixedDecideRule

Rule applies configured decision to any URIs that are on one of the hosts in the configured set of hosts, filled from the seed set.

Author:
  gojomo
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.MBeanAttributeInfoIterator`

Field Summary

Fields inherited from class org.archive.crawler.deciderules.SurtPrefixedDecideRule
`ATTR_ALSO_CHECK_VIA, ATTR_REBUILD_ON_RECONFIG, ATTR_SEEDS_AS_SURT_PREFIXES, ATTR_SURTS_DUMP_FILE, ATTR_SURTS_SOURCE_FILE, DEFAULT_ALSO_CHECK_VIA, DEFAULT_REBUILD_ON_RECONFIG, surtPrefixes`

Fields inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`ALLOWED_TYPES, ATTR_DECISION`

Fields inherited from class org.archive.crawler.deciderules.DecideRule
`ACCEPT, PASS, REJECT`

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`OnHostsDecideRule(java.lang.String name)` Usual constructor.

Method Summary
`protected java.lang.String` | `prefixFrom(java.lang.String uri)`
`protected void` | `readPrefixes()` Patch the SURT prefix set so that it only includes host-enforcing prefixes

Methods inherited from class org.archive.crawler.deciderules.SurtPrefixedDecideRule
`addedSeed, buildSurtPrefixSet, dumpSurtPrefixSet, evaluate, getSeedfile, kickUpdate`

Methods inherited from class org.archive.crawler.deciderules.PredicatedDecideRule
`decisionFor`

Methods inherited from class org.archive.crawler.deciderules.ConfiguredDecideRule
`singlePossibleNonPassDecision`

Methods inherited from class org.archive.crawler.deciderules.DecideRule
`getController`

Methods inherited from class org.archive.crawler.settings.ModuleType
`addElement, listUsedFiles`

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, toString, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OnHostsDecideRule

    public OnHostsDecideRule(java.lang.String name)

  Usual constructor.

  Parameters:
    `name` -

Method Detail

### readPrefixes

    protected void readPrefixes()

  Patch the SURT prefix set so that it only includes host-enforcing prefixes

  Overrides:
    `readPrefixes` in class `SurtPrefixedDecideRule`
  See Also:
    `SurtPrefixedDecideRule.readPrefixes()`

### prefixFrom

    protected java.lang.String prefixFrom(java.lang.String uri)

  Overrides:
    `prefixFrom` in class `SurtPrefixedDecideRule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.